=head1 NAME

Apache::Bio::Tools::PSort - Apache optimized version of the Bio::Tools::PSort
module.

=head1 SYNOPSIS

    $psort = Apache::Bio::Tools::PSort->instance();

    $psort->install('Regexp');
    $psort->install('SCLBLAST');

=head1 DESCRIPTION

The Apache::Bio::Tools::PSort module implements a version of Bio::Tools::PSort
suitable for use with mod_perl under the Apache webserver.  Based around the
Apache::Singleton class, Apache::Bio::Tools::PSort only requires configuration
once (typically in the mod_perl startup.pl file) after which subsequent
calls to the instance method will return a reference to an already configured
PSort object.

Other than creating new instances via the instance method, the interface
for this module is identical to that of Bio::Tools::PSort.

=head1 SEE ALSO

Bio::Tools::PSort, Apache::Singleton

=head1 AUTHOR

Fiona Brinkman, Cory Spencer <psort-list@sfu.ca>
Brinkman Laboratory, Simon Fraser University, BC, Canada

=head1 MAINTAINER

Matthew Laird <lairdm@sfu.ca>

=head1 OVERVIEW

PSORT-B is described in Gardy, J.L. et al (2003). PSORT-B: 
improving protein subcellular localization prediction for 
Gram-negative bacteria. Nuc Acids Res 31(13):3613-17. Please 
cite this publication if you use PSORT-B in your research.

The standalone version of PSORT-B is distributed under the GNU 
General Public Licence (Gnu GPL) (see the LICENSE file included 
in the download) by the Brinkman Laboratory, Simon Fraser 
University, Burnaby, B.C., Canada.

This standalone version of PSORT-B has initially been developed 
for the Linux environment.

This document describes the installation of the PSORT-B version 
1.1.4 command line program and the PSORT-B server packages. For 
most purposes, following the installation instructions for the 
command line version will be sufficient.

For further information, please contact psort-mail@sfu.ca.

=head1 LICENSE

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

=cut

package Apache::Bio::Tools::PSort;

use Apache::Singleton;
use Bio::Tools::PSort;

use strict;
use base qw(Apache::Singleton::Process Bio::Tools::PSort);

our $VERSION = 0.01;

1;
